Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.seam.contexts
Class Contexts

    java.lang.Object
      org.jboss.seam.contexts.Contexts

    public class Contexts

extends Object

Provides access to the current contexts associated with the thread.

Author:
  Gavin King, Thomas Heute

Constructor Summary
`Contexts()`

Method Summary
`static Context` | `getApplicationContext()`
`static Context` | `getBusinessProcessContext()`
`static Context` | `getConversationContext()`
`static Context` | `getEventContext()`
`static Context` | `getMethodContext()`
`static Context` | `getPageContext()`
`static Context` | `getSessionContext()`
`static boolean` | `isApplicationContextActive()`
`static boolean` | `isBusinessProcessContextActive()`
`static boolean` | `isConversationContextActive()`
`static boolean` | `isEventContextActive()`
`static boolean` | `isMethodContextActive()`
`static boolean` | `isPageContextActive()`
`static boolean` | `isSessionContextActive()`
`static Object` | `lookupInStatefulContexts(String name)` Search for a named attribute in all contexts, in the following order: method, event, page, conversation, session, business process, application.
`static void` | `removeFromAllContexts(String name)` Remove the named component from all contexts.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Contexts

    public Contexts()

Method Detail

### getEventContext

    public static Context getEventContext()

### getMethodContext

    public static Context getMethodContext()

### getPageContext

    public static Context getPageContext()

### getSessionContext

    public static Context getSessionContext()

### getApplicationContext

    public static Context getApplicationContext()

### getConversationContext

    public static Context getConversationContext()

### getBusinessProcessContext

    public static Context getBusinessProcessContext()

### isConversationContextActive

    public static boolean isConversationContextActive()

### isEventContextActive

    public static boolean isEventContextActive()

### isMethodContextActive

    public static boolean isMethodContextActive()

### isPageContextActive

    public static boolean isPageContextActive()

### isSessionContextActive

    public static boolean isSessionContextActive()

### isApplicationContextActive

    public static boolean isApplicationContextActive()

### isBusinessProcessContextActive

    public static boolean isBusinessProcessContextActive()

### removeFromAllContexts

    public static void removeFromAllContexts(String name)

  Remove the named component from all contexts.

### lookupInStatefulContexts

    public static Object lookupInStatefulContexts(String name)

  Search for a named attribute in all contexts, in the following order: method, event, page, conversation, session, business process, application.

  Returns:
    the first component found, or null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD